aboutsummaryrefslogtreecommitdiffstats
path: root/run-me/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'run-me/run.sh')
-rwxr-xr-xrun-me/run.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/run-me/run.sh b/run-me/run.sh
new file mode 100755
index 000000000000..d0d7c4ae2ee0
--- /dev/null
+++ b/run-me/run.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+SELF="$(readlink -f "${BASH_SOURCE[0]}")"
+cd "${SELF%/*}"
+set -ex
+make -C .. O=$(pwd) -j9 "$@"
+exec qemu-system-x86_64 -nodefaults -nographic -smp 4 -m 128M -serial stdio -no-reboot -monitor none -cpu host -machine q35,accel=kvm -kernel arch/x86/boot/bzImage